# Raspbian Setup

We're currently working on the documentation for Raspbian (Help Welcome 😉).

Below you'll find our current tweaks and what deviates from the standard ```armbian``` setup procedure.

# Base Install

To auto updates enable/disable on rpi

Notes/Inspiration: [https://wiki.debian.org/UnattendedUpgrades](https://wiki.debian.org/UnattendedUpgrades)

``` bash

apt-get install unattended-upgrades apt-listchanges
editor /etc/apt/apt.conf.d/50unattended-upgrades
editor /etc/apt/apt.conf.d/20auto-upgrades
editor /etc/apt/apt.conf.d/02periodic

```

# Chrony

Some notes

- make step is already there these
- change that piece to sed / append to file if not changed

# Cockpit

Unavailable on raspbian by default

``` bash

apt-get install dirmngr
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 8B48AD6246925553
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 7638D0442B90D010
echo 'deb http://deb.debian.org/debian stretch-backports main' > \
    /etc/apt/sources.list.d/backports.list
apt-get update
apt-get install cockpit cockpit-doc cockpit-dashboard \
cockpit-networkmanager \
cockpit-dashboard cockpit-system \
cockpit-storaged cockpit-packagekit \
cockpit-system cockpit-ws \
packagekit-tools cracklib-runtime

```

# Docker

Totally different install procedure

``` bash

apt install apt-transport-https ca-certificates curl software-properties-common
cat > /etc/apt/sources.list.d/docker.list <<EOF
deb [arch=$(dpkg --print-architecture)] https://download.docker.com/linux/raspbian stretch stable
EOF
curl -fsSL https://download.docker.com/linux/raspbian/gpg | apt-key add -
apt-get update
apt-get install --no-install-recommends docker-ce
```

# Connecting a Console Cable

Connecting your Pi to another computer via a console cable allows you to setup or debug a Raspberry Pi without having to connect a display, keyboard (and optionally a mouse). The Lollipop Cloud project provides [Raspian images](https://dl.lollipopcloud.solutions/raspbian/) with support for the Serial Console already enabled. 

## Using the Adafruit USB Console Cable

Adafruit sells a [USB to TTL Serial Cable/Console Cable for Raspberry Pi](https://www.adafruit.com/product/954) and has a tutorial on installing the necessary drivers. With the Lollipop Raspian image installed onto an SD Card, jump into the tutorial to install drivers for [macOS](https://learn.adafruit.com/adafruits-raspberry-pi-lesson-5-using-a-console-cable/software-installation-mac), [Windows](https://learn.adafruit.com/adafruits-raspberry-pi-lesson-5-using-a-console-cable/software-installation-windows), or [Linux](https://learn.adafruit.com/adafruits-raspberry-pi-lesson-5-using-a-console-cable/software-installation-linux). 

If you are setting up your Pi for the first time, you can run `sudo raspi-conf` after successfully connecting the cable.


